Subject: Re: [PATCH -next] net: tcp: add mib counters to track zero window transitions

From: Florian Westphal <[email-masked]>
Date: Tue, 25 Feb 2014 09:23:41 +0100

David Miller <[email-masked]> wrote:
> From: Florian Westphal <[email-masked]>
> Date: Mon, 17 Feb 2014 22:57:48 +0100
> 
> > Three counters are added:
> > - one to track when we went from non-zero to zero window
> > - one to track the reverse
> > - one counter incremented when we want to announce zero window.
> > 
> > The latter is added because it can show cases where we want to close the
> > window but can't because we would shrink window.
> > 
> > Suggested-by: Eric Dumazet <[email-masked]>
> > Signed-off-by: Florian Westphal <[email-masked]>
> > ---
> >  Eric, is this what you had in mind?
> > 
> >  I re-ran my 'slow-sender-with-reader-that-does-not-drain-socket'
> >  scenario and, as expected, only TCPWANTZEROWINDOW increases.
> 
> What is happening with this patch?  The discussion just died out.

I guess Eric is busy with TCP usec timer resolution changes.
You can mark the patch as defered if you want; I can re-send it for
3.16 if needed.